|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QIntValidator

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QIntValidator class reference

### Public Functions

- QIntValidator ( QObject * parent, const char * name )
- QIntValidator ( int minimum, int maximum, QObject * parent, const char * name )

- 8 public functions inherited from QObject

## Member Function Documentation

### QIntValidator::QIntValidator ( QObject * parent, const char * name )

Constructs a validator with a parent object and a name that accepts all integers.

### QIntValidator::QIntValidator ( int minimum, int maximum, QObject * parent, const char * name )

Constructs a validator called name with a parent, that accepts integers from minimum to maximum inclusive.